package com.mortals.xhx.module.classify.model;

import java.util.List;
import java.util.Date;

/**
*
* Description:Classify
* date: 2021-8-20 16:42:32
*/
public class ClassifyQuery extends ClassifyEntity{
    private static final long serialVersionUID = 1629448952010L;
    /** 开始 主键，自增长 */
    private Long idStart;

    /** 结束 主键，自增长 */
    private Long idEnd;

    /** 增加 主键，自增长 */
    private Long idIncrement;

    /** 主键，自增长 */
    private List <Long> idList;


    /** 问题名称 */
    private List<String> nameList;
    /** 开始 一件事表 one_basics id */
    private Long basicsIdStart;

    /** 结束 一件事表 one_basics id */
    private Long basicsIdEnd;

    /** 增加 一件事表 one_basics id */
    private Long basicsIdIncrement;

    /** 一件事表 one_basics id */
    private List <Long> basicsIdList;

    /** 开始 父级选项id,顶级为-1 */
    private Long parentIdStart;

    /** 结束 父级选项id,顶级为-1 */
    private Long parentIdEnd;

    /** 增加 父级选项id,顶级为-1 */
    private Long parentIdIncrement;

    /** 父级选项id,顶级为-1 */
    private List <Long> parentIdList;

    /** 开始 父级问题选项关联 */
    private Long parentOptionIdStart;

    /** 结束 父级问题选项关联 */
    private Long parentOptionIdEnd;

    /** 增加 父级问题选项关联 */
    private Long parentOptionIdIncrement;

    /** 父级问题选项关联 */
    private List <Long> parentOptionIdList;


    /** 开始 题目类型 1单选 2多选 */
    private Integer typeStart;

    /** 结束 题目类型 1单选 2多选 */
    private Integer typeEnd;

    /** 增加 题目类型 1单选 2多选 */
    private Integer typeIncrement;

    /** 题目类型 1单选 2多选 */
    private List <Integer> typeList;

    /** 开始 是否必答 0否 1是 */
    private Integer ismustStart;

    /** 结束 是否必答 0否 1是 */
    private Integer ismustEnd;

    /** 增加 是否必答 0否 1是 */
    private Integer ismustIncrement;

    /** 是否必答 0否 1是 */
    private List <Integer> ismustList;

    /** 开始 级数 */
    private Integer levelStart;

    /** 结束 级数 */
    private Integer levelEnd;

    /** 增加 级数 */
    private Integer levelIncrement;

    /** 级数 */
    private List <Integer> levelList;
    /** 开始 变更时间 */
    private String updateTimeStart;

    /** 结束 变更时间 */
    private String updateTimeEnd;

    /** 变更用户loginName */
    private List<String> updateUserList;
    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 创建用户loginName */
    private List<String> createUserList;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<ClassifyQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<ClassifyQuery> andConditionList;


    public ClassifyQuery(){
    }

    /**
    * 获取 开始 主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
    return this.idStart;
    }

    /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
    this.idStart = idStart;
    }

    /**
    * 获取 结束 主键，自增长
    * @return idEnd
    */
    public Long getIdEnd(){
    return this.idEnd;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
    this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
    return this.idIncrement;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
    this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
    return this.idList;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
        }
    /**
    * 获取 问题名称
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 问题名称
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }
    /**
    * 获取 开始 一件事表 one_basics id
    * @return basicsIdStart
    */
    public Long getBasicsIdStart(){
    return this.basicsIdStart;
    }

    /**
    * 设置 开始 一件事表 one_basics id
    * @param basicsIdStart
    */
    public void setBasicsIdStart(Long basicsIdStart){
    this.basicsIdStart = basicsIdStart;
    }

    /**
    * 获取 结束 一件事表 one_basics id
    * @return basicsIdEnd
    */
    public Long getBasicsIdEnd(){
    return this.basicsIdEnd;
    }

    /**
    * 设置 结束 一件事表 one_basics id
    * @param basicsIdEnd
    */
    public void setBasicsIdEnd(Long basicsIdEnd){
    this.basicsIdEnd = basicsIdEnd;
    }

    /**
    * 获取 增加 一件事表 one_basics id
    * @return basicsIdIncrement
    */
    public Long getBasicsIdIncrement(){
    return this.basicsIdIncrement;
    }

    /**
    * 设置 增加 一件事表 one_basics id
    * @param basicsIdIncrement
    */
    public void setBasicsIdIncrement(Long basicsIdIncrement){
    this.basicsIdIncrement = basicsIdIncrement;
    }

    /**
    * 获取 一件事表 one_basics id
    * @return basicsIdList
    */
    public List<Long> getBasicsIdList(){
    return this.basicsIdList;
    }

    /**
    * 设置 一件事表 one_basics id
    * @param basicsIdList
    */
    public void setBasicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
        }
    /**
    * 获取 开始 父级选项id,顶级为-1
    * @return parentIdStart
    */
    public Long getParentIdStart(){
    return this.parentIdStart;
    }

    /**
    * 设置 开始 父级选项id,顶级为-1
    * @param parentIdStart
    */
    public void setParentIdStart(Long parentIdStart){
    this.parentIdStart = parentIdStart;
    }

    /**
    * 获取 结束 父级选项id,顶级为-1
    * @return parentIdEnd
    */
    public Long getParentIdEnd(){
    return this.parentIdEnd;
    }

    /**
    * 设置 结束 父级选项id,顶级为-1
    * @param parentIdEnd
    */
    public void setParentIdEnd(Long parentIdEnd){
    this.parentIdEnd = parentIdEnd;
    }

    /**
    * 获取 增加 父级选项id,顶级为-1
    * @return parentIdIncrement
    */
    public Long getParentIdIncrement(){
    return this.parentIdIncrement;
    }

    /**
    * 设置 增加 父级选项id,顶级为-1
    * @param parentIdIncrement
    */
    public void setParentIdIncrement(Long parentIdIncrement){
    this.parentIdIncrement = parentIdIncrement;
    }

    /**
    * 获取 父级选项id,顶级为-1
    * @return parentIdList
    */
    public List<Long> getParentIdList(){
    return this.parentIdList;
    }

    /**
    * 设置 父级选项id,顶级为-1
    * @param parentIdList
    */
    public void setParentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
        }
    /**
    * 获取 开始 父级问题选项关联
    * @return parentOptionIdStart
    */
    public Long getParentOptionIdStart(){
    return this.parentOptionIdStart;
    }

    /**
    * 设置 开始 父级问题选项关联
    * @param parentOptionIdStart
    */
    public void setParentOptionIdStart(Long parentOptionIdStart){
    this.parentOptionIdStart = parentOptionIdStart;
    }

    /**
    * 获取 结束 父级问题选项关联
    * @return parentOptionIdEnd
    */
    public Long getParentOptionIdEnd(){
    return this.parentOptionIdEnd;
    }

    /**
    * 设置 结束 父级问题选项关联
    * @param parentOptionIdEnd
    */
    public void setParentOptionIdEnd(Long parentOptionIdEnd){
    this.parentOptionIdEnd = parentOptionIdEnd;
    }

    /**
    * 获取 增加 父级问题选项关联
    * @return parentOptionIdIncrement
    */
    public Long getParentOptionIdIncrement(){
    return this.parentOptionIdIncrement;
    }

    /**
    * 设置 增加 父级问题选项关联
    * @param parentOptionIdIncrement
    */
    public void setParentOptionIdIncrement(Long parentOptionIdIncrement){
    this.parentOptionIdIncrement = parentOptionIdIncrement;
    }

    /**
    * 获取 父级问题选项关联
    * @return parentOptionIdList
    */
    public List<Long> getParentOptionIdList(){
    return this.parentOptionIdList;
    }

    /**
    * 设置 父级问题选项关联
    * @param parentOptionIdList
    */
    public void setParentOptionIdList(List<Long> parentOptionIdList){
        this.parentOptionIdList = parentOptionIdList;
        }
    /**
    * 获取 开始 题目类型 1单选 2多选
    * @return typeStart
    */
    public Integer getTypeStart(){
        return this.typeStart;
    }

    /**
    * 设置 开始 题目类型 1单选 2多选
    * @param typeStart
    */
    public void setTypeStart(Integer typeStart){
        this.typeStart = typeStart;
    }

    /**
    * 获取 结束 题目类型 1单选 2多选
    * @return typeEnd
    */
    public Integer getTypeEnd(){
        return this.typeEnd;
    }

    /**
    * 设置 结束 题目类型 1单选 2多选
    * @param typeEnd
    */
    public void setTypeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
    }

    /**
    * 获取 增加 题目类型 1单选 2多选
    * @return typeIncrement
    */
    public Integer getTypeIncrement(){
        return this.typeIncrement;
    }

    /**
    * 设置 增加 题目类型 1单选 2多选
    * @param typeIncrement
    */
    public void setTypeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
    }

    /**
    * 获取 题目类型 1单选 2多选
    * @return typeList
    */
    public List<Integer> getTypeList(){
        return this.typeList;
    }

    /**
    * 设置 题目类型 1单选 2多选
    * @param typeList
    */
    public void setTypeList(List<Integer> typeList){
        this.typeList = typeList;
    }
    /**
    * 获取 开始 是否必答 0否 1是
    * @return ismustStart
    */
    public Integer getIsmustStart(){
        return this.ismustStart;
    }

    /**
    * 设置 开始 是否必答 0否 1是
    * @param ismustStart
    */
    public void setIsmustStart(Integer ismustStart){
        this.ismustStart = ismustStart;
    }

    /**
    * 获取 结束 是否必答 0否 1是
    * @return ismustEnd
    */
    public Integer getIsmustEnd(){
        return this.ismustEnd;
    }

    /**
    * 设置 结束 是否必答 0否 1是
    * @param ismustEnd
    */
    public void setIsmustEnd(Integer ismustEnd){
        this.ismustEnd = ismustEnd;
    }

    /**
    * 获取 增加 是否必答 0否 1是
    * @return ismustIncrement
    */
    public Integer getIsmustIncrement(){
        return this.ismustIncrement;
    }

    /**
    * 设置 增加 是否必答 0否 1是
    * @param ismustIncrement
    */
    public void setIsmustIncrement(Integer ismustIncrement){
        this.ismustIncrement = ismustIncrement;
    }

    /**
    * 获取 是否必答 0否 1是
    * @return ismustList
    */
    public List<Integer> getIsmustList(){
        return this.ismustList;
    }

    /**
    * 设置 是否必答 0否 1是
    * @param ismustList
    */
    public void setIsmustList(List<Integer> ismustList){
        this.ismustList = ismustList;
    }
    /**
    * 获取 开始 级数
    * @return levelStart
    */
    public Integer getLevelStart(){
        return this.levelStart;
    }

    /**
    * 设置 开始 级数
    * @param levelStart
    */
    public void setLevelStart(Integer levelStart){
        this.levelStart = levelStart;
    }

    /**
    * 获取 结束 级数
    * @return levelEnd
    */
    public Integer getLevelEnd(){
        return this.levelEnd;
    }

    /**
    * 设置 结束 级数
    * @param levelEnd
    */
    public void setLevelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
    }

    /**
    * 获取 增加 级数
    * @return levelIncrement
    */
    public Integer getLevelIncrement(){
        return this.levelIncrement;
    }

    /**
    * 设置 增加 级数
    * @param levelIncrement
    */
    public void setLevelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
    }

    /**
    * 获取 级数
    * @return levelList
    */
    public List<Integer> getLevelList(){
        return this.levelList;
    }

    /**
    * 设置 级数
    * @param levelList
    */
    public void setLevelList(List<Integer> levelList){
        this.levelList = levelList;
    }
    /**
    * 获取 开始 变更时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
    return this.updateTimeStart;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
    this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 变更时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
    return this.updateTimeEnd;
    }

    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
    this.updateTimeEnd = updateTimeEnd;
    }
    /**
    * 获取 变更用户loginName
    * @return updateUserList
    */
    public List<String> getUpdateUserList(){
        return this.updateUserList;
    }

    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public void setUpdateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
    }
    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
    return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
    this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
    return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
    this.createTimeEnd = createTimeEnd;
    }
    /**
    * 获取 创建用户loginName
    * @return createUserList
    */
    public List<String> getCreateUserList(){
        return this.createUserList;
    }

    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public void setCreateUserList(List<String> createUserList){
        this.createUserList = createUserList;
    }


	/**
    * 设置  主键，自增长
    * @param id
    */
    public ClassifyQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键，自增长
    * @param idStart
    */
    public ClassifyQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键，自增长
    * @param idEnd
    */
    public ClassifyQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键，自增长
    * @param idIncrement
    */
    public ClassifyQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键，自增长
    * @param idList
    */
    public ClassifyQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }
	/**
    * 设置 问题名称
    * @param name
    */
    public ClassifyQuery name(String name){
        setName(name);
		return this;
    }


    /**
    * 设置 问题名称
    * @param nameList
    */
    public ClassifyQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }

	/**
    * 设置  一件事表 one_basics id
    * @param basicsId
    */
    public ClassifyQuery basicsId(Long basicsId){
	    setBasicsId(basicsId);
		return this;
    }
	
	 /**
    * 设置 开始 一件事表 one_basics id
    * @param basicsIdStart
    */
    public ClassifyQuery basicsIdStart(Long basicsIdStart){
		this.basicsIdStart = basicsIdStart;
		return this;
    }

    /**
    * 设置 结束 一件事表 one_basics id
    * @param basicsIdEnd
    */
    public ClassifyQuery basicsIdEnd(Long basicsIdEnd){
		this.basicsIdEnd = basicsIdEnd;
		return this;
    }

    /**
    * 设置 增加 一件事表 one_basics id
    * @param basicsIdIncrement
    */
    public ClassifyQuery basicsIdIncrement(Long basicsIdIncrement){
		this.basicsIdIncrement = basicsIdIncrement;
		return this;
    }

    /**
    * 设置 一件事表 one_basics id
    * @param basicsIdList
    */
    public ClassifyQuery basicsIdList(List<Long> basicsIdList){
        this.basicsIdList = basicsIdList;
		return this;
        }

	/**
    * 设置  父级选项id,顶级为-1
    * @param parentId
    */
    public ClassifyQuery parentId(Long parentId){
	    setParentId(parentId);
		return this;
    }
	
	 /**
    * 设置 开始 父级选项id,顶级为-1
    * @param parentIdStart
    */
    public ClassifyQuery parentIdStart(Long parentIdStart){
		this.parentIdStart = parentIdStart;
		return this;
    }

    /**
    * 设置 结束 父级选项id,顶级为-1
    * @param parentIdEnd
    */
    public ClassifyQuery parentIdEnd(Long parentIdEnd){
		this.parentIdEnd = parentIdEnd;
		return this;
    }

    /**
    * 设置 增加 父级选项id,顶级为-1
    * @param parentIdIncrement
    */
    public ClassifyQuery parentIdIncrement(Long parentIdIncrement){
		this.parentIdIncrement = parentIdIncrement;
		return this;
    }

    /**
    * 设置 父级选项id,顶级为-1
    * @param parentIdList
    */
    public ClassifyQuery parentIdList(List<Long> parentIdList){
        this.parentIdList = parentIdList;
		return this;
        }

	/**
    * 设置  父级问题选项关联
    * @param parentOptionId
    */
    public ClassifyQuery parentOptionId(Long parentOptionId){
	    setParentOptionId(parentOptionId);
		return this;
    }
	
	 /**
    * 设置 开始 父级问题选项关联
    * @param parentOptionIdStart
    */
    public ClassifyQuery parentOptionIdStart(Long parentOptionIdStart){
		this.parentOptionIdStart = parentOptionIdStart;
		return this;
    }

    /**
    * 设置 结束 父级问题选项关联
    * @param parentOptionIdEnd
    */
    public ClassifyQuery parentOptionIdEnd(Long parentOptionIdEnd){
		this.parentOptionIdEnd = parentOptionIdEnd;
		return this;
    }

    /**
    * 设置 增加 父级问题选项关联
    * @param parentOptionIdIncrement
    */
    public ClassifyQuery parentOptionIdIncrement(Long parentOptionIdIncrement){
		this.parentOptionIdIncrement = parentOptionIdIncrement;
		return this;
    }

    /**
    * 设置 父级问题选项关联
    * @param parentOptionIdList
    */
    public ClassifyQuery parentOptionIdList(List<Long> parentOptionIdList){
        this.parentOptionIdList = parentOptionIdList;
		return this;
        }
	
	/**
    * 设置  题目类型 1单选 2多选
    * @param type
    */
    public ClassifyQuery type(Integer type){
        setType(type);
		return this;
    }

    /**
    * 设置 开始 题目类型 1单选 2多选
    * @param typeStart
    */
    public ClassifyQuery typeStart(Integer typeStart){
        this.typeStart = typeStart;
		return this;
    }


    /**
    * 设置 结束 题目类型 1单选 2多选
    * @param typeEnd
    */
    public ClassifyQuery typeEnd(Integer typeEnd){
        this.typeEnd = typeEnd;
		return this;
    }


    /**
    * 设置 增加 题目类型 1单选 2多选
    * @param typeIncrement
    */
    public ClassifyQuery typeIncrement(Integer typeIncrement){
        this.typeIncrement = typeIncrement;
		return this;
    }


    /**
    * 设置 题目类型 1单选 2多选
    * @param typeList
    */
    public ClassifyQuery typeList(List<Integer> typeList){
        this.typeList = typeList;
		return this;
    }
	
	/**
    * 设置  是否必答 0否 1是
    * @param ismust
    */
    public ClassifyQuery ismust(Integer ismust){
        setIsmust(ismust);
		return this;
    }

    /**
    * 设置 开始 是否必答 0否 1是
    * @param ismustStart
    */
    public ClassifyQuery ismustStart(Integer ismustStart){
        this.ismustStart = ismustStart;
		return this;
    }


    /**
    * 设置 结束 是否必答 0否 1是
    * @param ismustEnd
    */
    public ClassifyQuery ismustEnd(Integer ismustEnd){
        this.ismustEnd = ismustEnd;
		return this;
    }


    /**
    * 设置 增加 是否必答 0否 1是
    * @param ismustIncrement
    */
    public ClassifyQuery ismustIncrement(Integer ismustIncrement){
        this.ismustIncrement = ismustIncrement;
		return this;
    }


    /**
    * 设置 是否必答 0否 1是
    * @param ismustList
    */
    public ClassifyQuery ismustList(List<Integer> ismustList){
        this.ismustList = ismustList;
		return this;
    }
	
	/**
    * 设置  级数
    * @param level
    */
    public ClassifyQuery level(Integer level){
        setLevel(level);
		return this;
    }

    /**
    * 设置 开始 级数
    * @param levelStart
    */
    public ClassifyQuery levelStart(Integer levelStart){
        this.levelStart = levelStart;
		return this;
    }


    /**
    * 设置 结束 级数
    * @param levelEnd
    */
    public ClassifyQuery levelEnd(Integer levelEnd){
        this.levelEnd = levelEnd;
		return this;
    }


    /**
    * 设置 增加 级数
    * @param levelIncrement
    */
    public ClassifyQuery levelIncrement(Integer levelIncrement){
        this.levelIncrement = levelIncrement;
		return this;
    }


    /**
    * 设置 级数
    * @param levelList
    */
    public ClassifyQuery levelList(List<Integer> levelList){
        this.levelList = levelList;
		return this;
    }

    /**
    * 设置 开始 变更时间
    * @param updateTimeStart
    */
    public ClassifyQuery updateTimeStart(String updateTimeStart){
		this.updateTimeStart = updateTimeStart;
		return this;
    }


    /**
    * 设置 结束 变更时间
    * @param updateTimeEnd
    */
    public ClassifyQuery updateTimeEnd(String updateTimeEnd){
		this.updateTimeEnd = updateTimeEnd;
		return this;
    }
	/**
    * 设置 变更用户loginName
    * @param updateUser
    */
    public ClassifyQuery updateUser(String updateUser){
        setUpdateUser(updateUser);
		return this;
    }


    /**
    * 设置 变更用户loginName
    * @param updateUserList
    */
    public ClassifyQuery updateUserList(List<String> updateUserList){
        this.updateUserList = updateUserList;
		return this;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public ClassifyQuery createTimeStart(String createTimeStart){
		this.createTimeStart = createTimeStart;
		return this;
    }


    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public ClassifyQuery createTimeEnd(String createTimeEnd){
		this.createTimeEnd = createTimeEnd;
		return this;
    }
	/**
    * 设置 创建用户loginName
    * @param createUser
    */
    public ClassifyQuery createUser(String createUser){
        setCreateUser(createUser);
		return this;
    }


    /**
    * 设置 创建用户loginName
    * @param createUserList
    */
    public ClassifyQuery createUserList(List<String> createUserList){
        this.createUserList = createUserList;
		return this;
    }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<ClassifyQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<ClassifyQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<ClassifyQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<ClassifyQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}